%global majorversion 1
%global minorversion 3
%global microversion 82

%global apiversion   0.3
%global spaversion   0.2
%global soversion    0
%global libversion   %{soversion}.%(bash -c '((intversion = (%{minorversion} * 100) + %{microversion})); echo ${intversion}').0
%global ms_version   0.4.2

%define libname      %mklibname %{name} %{apiversion} %{soversion}
%define devname      %mklibname %{name} -d

%define obsolete_pulseaudio 0%{?mageia} >= 9

# Build conditions for various features
%bcond_without alsa
%bcond_without vulkan
%bcond_without pulse

%bcond_with media_session

%bcond_without jack

%bcond_without jackserver_plugin

%bcond_with selinux

# Disabled for Mageia < 9
%if (0%{?rhel} && 0%{?rhel} < 10) || (0%{?fedora} && 0%{?fedora} < 36) || (0%{?mageia} && 0%{?mageia} < 9)
%bcond_with libcamera_plugin
%else
%bcond_without libcamera_plugin
%endif

%bcond_without v4l2

Name:           pipewire
Summary:        Media Sharing Server
Version:        %{majorversion}.%{minorversion}.%{microversion}
Release:        %mkrel 1
Group:          System/Servers
License:        MIT
URL:            https://pipewire.org/
Source0:        https://gitlab.freedesktop.org/pipewire/pipewire/-/archive/%{version}/pipewire-%{version}.tar.gz

%if %{with media_session}
Source1:        https://gitlab.freedesktop.org/pipewire/media-session/-/archive/%{ms_version}/media-session-%{ms_version}.tar.gz
%endif

## upstream patches

## upstreamable patches

## fedora patches
%if %{with media_session}
Patch1001:      0001-Build-media-session-from-local-tarbal.patch
%endif


BuildRequires:  gettext
BuildRequires:  meson >= 0.59.0
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.32
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.10.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.10.0
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.10.0
BuildRequires:  pkgconfig(gstreamer-net-1.0) >= 1.10.0
BuildRequires:  pkgconfig(gstreamer-allocators-1.0) >= 1.10.0
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(ldacBT-enc)
BuildRequires:  pkgconfig(ldacBT-abr)
BuildRequires:  pkgconfig(lc3)
BuildRequires:  pkgconfig(fdk-aac)
%if %{with vulkan}
BuildRequires:  pkgconfig(vulkan)
%endif
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(sbc)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  doxygen
BuildRequires:  python3-docutils
BuildRequires:  graphviz
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  cmake(pulseaudio)
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-core)
BuildRequires:  pkgconfig(webrtc-audio-processing-1) >= 1.2
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(readline)
BuildRequires:  pkgconfig(lilv-0)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libebur128)
BuildRequires:  pkgconfig(libmysofa)
BuildRequires:  pkgconfig(libffado)
BuildRequires:  pkgconfig(fftw3)
#BuildRequires:  roc-toolkit-devel
%if %{with selinux}
BuildRequires:	pkgconfig(selinux)
%endif

Requires(pre):  shadow-utils
Requires:       systemd
Requires:       rtkit
# A virtual Provides so we can swap session managers
Requires:       pipewire-session-manager

# client.conf and client-rt.conf moved to main pkg from pipewire-alsa
Conflicts:      pipewire-alsa < 0.3.61-3

%description
PipeWire is a multimedia server for Linux and other Unix like operating
systems.

%package -n     %{libname}
Summary:        Libraries for PipeWire clients
Group:          System/Libraries
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-libpulse < %{version}-%{release}

%description -n %{libname}
This package contains the runtime libraries for any application that wishes
to interface with a PipeWire media server.

%package -n     gstreamer1.0-%{name}
Summary:        GStreamer elements for PipeWire
Group:          System/Servers
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Provides:       pipewire-gstreamer

%description -n gstreamer1.0-%{name}
This package contains GStreamer elements to interface with a
PipeWire media server.

%package -n     %{devname}
Summary:        Headers and libraries for PipeWire client development
Group:          Development/C++
License:        MIT
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       spa-devel = %{version}-%{release}

%description -n %{devname}
Headers and libraries for developing applications that can communicate with
a PipeWire media server.

%package        doc
Summary:        PipeWire media server documentation
License:        MIT
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    doc
This package contains documentation for the PipeWire media server.

%package        utils
Summary:        PipeWire media server utilities
License:        MIT
Group:          System/Servers
Requires:       %{name} = %{version}-%{release}

%description    utils
This package contains command line utilities for the PipeWire media server.

%if %{with media_session}
%package        media-session
Summary:        PipeWire Media Session Manager
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      %{name}-libpulse < %{version}-%{release}
# before 0.3.30-5 the session manager was in the main pipewire package
Conflicts:      %{name}%{?_isa} < 0.3.30-5

# Virtual Provides to support swapping between PipeWire session manager implementations
Provides:       pipewire-session-manager
Conflicts:      pipewire-session-manager

%description    media-session
This package contains the reference Media Session Manager for the
PipeWire media server.
%endif

%if %{with alsa}
%package        alsa
Summary:        PipeWire media server ALSA support
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
%if 0%{?obsolete_pulseaudio}
# Ensure this is provided by default to route all audio
Supplements:    %{name} = %{version}-%{release}
# Replace PulseAudio and JACK ALSA plugins with PipeWire
## N.B.: If alsa-plugins gets updated in F33, this will need to be bumped
Conflicts:      %{_lib}alsa-plugins-jack
Conflicts:      %{_lib}alsa-plugins-pulseaudio
Conflicts:      alsa-plugins-pulse-config
%endif

%description    alsa
This package contains an ALSA plugin for the PipeWire media server.
%endif

%if %{with jack}
%package        jack-audio-connection-kit
Summary:        PipeWire JACK implementation
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
BuildRequires:  pkgconfig(jack) >= 1.9.10
Conflicts:      %{mklibname jack 0}
Conflicts:      jack-audio-connection-kit-dbus
# Fixed jack subpackages
Conflicts:      %{name}-libjack < 0.3.13-6
Conflicts:      %{name}-jack-audio-connection-kit < 0.3.13-6
# Replaces libjack subpackage
Obsoletes:      %{name}-libjack < 0.3.19-2
Provides:       %{name}-libjack = %{version}-%{release}
Provides:       %{name}-libjack%{?_isa} = %{version}-%{release}
%if 0%{?obsolete_pulseaudio}
# Ensure this is provided by default to route all audio
Supplements:    %{name} = %{version}-%{release}
# Replace JACK with PipeWire-JACK
Conflicts:       jackit
%endif

%description     jack-audio-connection-kit
This package provides a JACK implementation based on PipeWire.

%package        jack-audio-connection-kit-devel
Summary:        Development files for %{name}-jack-audio-connection-kit
License:        MIT
Requires:       %{name}-jack-audio-connection-kit%{?_isa} = %{version}-%{release}
Conflicts:      jack-audio-connection-kit-devel
Enhances:       %{name}-jack-audio-connection-kit

%description    jack-audio-connection-kit-devel
This package provides development files for building JACK applications
using PipeWire's JACK library.
%endif

%if %{with jackserver_plugin}
%package        plugin-jack
Summary:        PipeWire media server JACK support
License:        MIT
BuildRequires:  pkgconfig(jack) >= 1.9.10
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:       jackit

%description    plugin-jack
This package contains the PipeWire spa plugin to connect to a JACK server.
%endif

%if %{with libcamera_plugin}
%package        plugin-libcamera
Summary:        PipeWire media server libcamera support
License:        MIT
BuildRequires:  pkgconfig(libcamera) >= 0.2.0
BuildRequires:  pkgconfig(libdrm)
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Requires:       libdrm

%description    plugin-libcamera
This package contains the PipeWire spa plugin to access cameras through libcamera.
%endif

%if %{with vulkan}
%package plugin-vulkan
Summary:        PipeWire media server vulkan support
License:        MIT
BuildRequires:  pkgconfig(vulkan)
Recommends:     %{name}%{?_isa} = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description plugin-vulkan
This package contains the PipeWire spa plugin for vulkan.
%endif

%if %{with pulse}
%package        pulseaudio
Summary:        PipeWire PulseAudio implementation
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}
BuildRequires:  %{mklibname pulseaudio 0}
Requires:       pulseaudio-utils
Conflicts:      pulseaudio
# Fixed pulseaudio subpackages
Conflicts:      %{name}-libpulse < 0.3.13-6
Conflicts:      %{name}-pulseaudio < 0.3.13-6
%if 0%{?obsolete_pulseaudio}
# Ensure this is provided by default to route all audio
Supplements:    %{name} = %{version}-%{release}
# Replace PulseAudio with PipeWire-PulseAudio
## N.B.: If pulseaudio gets updated in F33, this will need to be bumped
Conflicts:      pulseaudio
Conflicts:      pulseaudio-esound-compat
Conflicts:      pulseaudio-module-bluetooth > 10
Conflicts:      pulseaudio-module-gconf
Conflicts:      pulseaudio-module-gsettings
Conflicts:      pulseaudio-module-jack > 10
Conflicts:      pulseaudio-module-lirc
Conflicts:      pulseaudio-module-x11
Conflicts:      pulseaudio-module-zeroconf
Conflicts:      pulseaudio-qpaeq
%endif

# Virtual Provides to support swapping between PipeWire-PA and PA
Provides:       pulseaudio-daemon
Conflicts:      pulseaudio-daemon
Provides:       pulseaudio-module-bluetooth
Provides:       pulseaudio-module-jack

Conflicts:      pipewire < 0.3.85-2

%description    pulseaudio
This package provides a PulseAudio implementation based on PipeWire.
%endif

%if %{with v4l2}
%package        v4l2
Summary:        PipeWire media server v4l2 LD_PRELOAD support
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}

%description    v4l2
This package contains an LD_PRELOAD library that redirects v4l2 applications to
PipeWire.
%endif

%package        module-x11
Summary:        PipeWire media server x11 support
License:        MIT
Recommends:     %{name}%{?_isa} = %{version}-%{release}

%description    module-x11
This package contains X11 bell support for PipeWire.

%prep
%autosetup -p1


%if %{with media_session}
mkdir subprojects/packagefiles
cp %{SOURCE1} subprojects/packagefiles/
%endif

%build
%meson \
    -D docs=enabled -D man=enabled -D gstreamer=enabled -D systemd=enabled	\
    -D gstreamer-device-provider=disabled -D sdl2=disabled 			\
    -D audiotestsrc=disabled -D videotestsrc=disabled				\
    -D volume=disabled -D bluez5-codec-aptx=disabled -D roc=disabled 		\
    -D bluez5-codec-lc3plus=disabled -D bluez5-codec-lc3=enabled		\
    -D bluez5-codec-ldac=enabled						\
    -D rtprio-server=60 -D rtprio-client=55 -D rlimits-rtprio=70		\
    -D snap=disabled								\
    %{!?with_media_session:-D session-managers=[]} 				\
    %{!?with_jack:-D pipewire-jack=disabled} 					\
    %{!?with_jackserver_plugin:-D jack=disabled} 				\
    %{!?with_libcamera_plugin:-D libcamera=disabled} 				\
    %{?with_jack:-D jack-devel=true} 						\
    %{!?with_alsa:-D pipewire-alsa=disabled}					\
    %{?with_vulkan:-D vulkan=enabled}						\
    %{!?with_selinux:-D selinux=disabled}					\
    %{nil}
%meson_build

%install
%meson_install

%if %{with jack}
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo %{_libdir}/pipewire-%{apiversion}/jack/ > %{buildroot}%{_sysconfdir}/ld.so.conf.d/pipewire-jack-%{_arch}.conf
%else
rm %{buildroot}%{_datadir}/pipewire/jack.conf

%if %{with media_session}
rm %{buildroot}%{_datadir}/pipewire/media-session.d/with-jack
%endif

%endif

%if %{with alsa}
mkdir -p %{buildroot}%{_sysconfdir}/alsa/conf.d/
cp %{buildroot}%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf \
        %{buildroot}%{_sysconfdir}/alsa/conf.d/50-pipewire.conf
cp %{buildroot}%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf \
        %{buildroot}%{_sysconfdir}/alsa/conf.d/99-pipewire-default.conf

# For our soundprofile thingie
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/pulse/
cat > %{buildroot}%{_sysconfdir}/sound/profiles/pulse/alsa-default.conf <<EOF
# This file is left blank
EOF

%if %{with media_session}
touch %{buildroot}%{_datadir}/pipewire/media-session.d/with-alsa
%endif

%endif

%if ! %{with pulse}
# If the PulseAudio replacement isn't being offered, delete the files
rm %{buildroot}%{_bindir}/pipewire-pulse
rm %{buildroot}%{_userunitdir}/pipewire-pulse.*
rm %{buildroot}%{_datadir}/pipewire/pipewire-pulse.conf

%if %{with media_session}
rm %{buildroot}%{_datadir}/pipewire/media-session.d/with-pulseaudio
%endif

%endif

%find_lang %{name}
%if %{with media_session}
%find_lang media-session
%endif


%check
%meson_test || TESTS_ERROR=$?
if [ "${TESTS_ERROR}" != "" ]; then
echo "test failed"
%{!?tests_nonfatal:exit $TESTS_ERROR}
fi

%pre
getent group pipewire >/dev/null || groupadd -r pipewire
getent passwd pipewire >/dev/null || \
    useradd -r -g pipewire -d /run/pipewire -s /sbin/nologin -c "PipeWire System Daemon" pipewire
exit 0

%post
%systemd_user_post pipewire.service
%systemd_user_post pipewire.socket

%if %{with pulse}
%post pulseaudio
%systemd_user_post pipewire-pulse.service
%systemd_user_post pipewire-pulse.socket
%endif

%if %{with media_session}
%post media-session
%systemd_user_post pipewire-media-session.service
%endif

%files -f %{name}.lang
%license LICENSE COPYING
%doc README.md NEWS
%config(noreplace) %{_sysconfdir}/security/limits.d/*.conf
%{_userunitdir}/pipewire.*
%{_userunitdir}/filter-chain.*
%{_bindir}/pipewire
%{_bindir}/pipewire-aes67
%{_bindir}/pipewire-avb
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-access.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-adapter.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-avb.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-client-device.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-client-node.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-combine-stream.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-echo-cancel.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-fallback-sink.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-ffado-driver.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-filter-chain.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-link-factory.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-loopback.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-metadata.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-parametric-equalizer.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-pipe-tunnel.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-portal.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-profiler.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-protocol-native.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-protocol-simple.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-pulse-tunnel.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-raop-discover.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-raop-sink.so
#{_libdir}/pipewire-%%{apiversion}/libpipewire-module-roc-sink.so
#{_libdir}/pipewire-%%{apiversion}/libpipewire-module-roc-source.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rtkit.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rtp-sap.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rtp-session.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rtp-sink.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rtp-source.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-rt.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-session-manager.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-snapcast-discover.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-spa-device-factory.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-spa-device.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-spa-node-factory.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-spa-node.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-vban-send.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-vban-recv.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-zeroconf-discover.so
%dir %{_datadir}/alsa-card-profile/
%dir %{_datadir}/alsa-card-profile/mixer/
%{_datadir}/alsa-card-profile/mixer/paths/
%{_datadir}/alsa-card-profile/mixer/profile-sets/
%dir %{_datadir}/spa-%{spaversion}/
%dir %{_datadir}/spa-%{spaversion}/bluez5
%{_datadir}/spa-%{spaversion}/bluez5/bluez-hardware.conf
%{_udevrulesdir}/90-pipewire-alsa.rules
%{_libdir}/spa-%{spaversion}/
%{_mandir}/man1/pipewire.1*
%dir %{_datadir}/pipewire/
%{_datadir}/pipewire/client.conf
%{_datadir}/pipewire/pipewire.conf
%{_datadir}/pipewire/minimal.conf
%{_datadir}/pipewire/filter-chain.conf
%{_datadir}/pipewire/filter-chain/*.conf
%{_datadir}/pipewire/pipewire-aes67.conf
%{_datadir}/pipewire/pipewire-avb.conf
%dir %{_datadir}/pipewire/client.conf.avail/
%dir %{_datadir}/pipewire/pipewire.conf.avail/
%{_datadir}/pipewire/client.conf.avail/20-upmix.conf
%{_datadir}/pipewire/pipewire.conf.avail/10-rates.conf
%{_datadir}/pipewire/pipewire.conf.avail/20-upmix.conf
%{_datadir}/glib-2.0/schemas/org.freedesktop.pulseaudio.gschema.xml
%{_mandir}/man5/pipewire.conf.5*
%{_mandir}/man5/pipewire-client.conf.5*
%{_mandir}/man5/pipewire-filter-chain.conf.5*
%{_mandir}/man7/libpipewire-module-*.7*
%{_mandir}/man7/libpipewire-modules.7*
%{_mandir}/man7/pipewire-props.7*

%if %{with media_session}
%files media-session -f media-session.lang
%{_bindir}/pipewire-media-session
%{_userunitdir}/pipewire-media-session.service
%dir %{_datadir}/pipewire/media-session.d/
%{_datadir}/pipewire/media-session.d/alsa-monitor.conf
%{_datadir}/pipewire/media-session.d/bluez-monitor.conf
%{_datadir}/pipewire/media-session.d/media-session.conf
%{_datadir}/pipewire/media-session.d/v4l2-monitor.conf

%if %{with alsa}
%{_datadir}/pipewire/media-session.d/with-alsa
%endif
%if %{with jack}
%{_datadir}/pipewire/media-session.d/with-jack
%endif
%if %{with pulse}
%{_datadir}/pipewire/media-session.d/with-pulseaudio
%endif

%endif

%files -n %{libname}
%license LICENSE COPYING
%doc README.md
%{_libdir}/lib%{name}-%{apiversion}.so.%{soversion}{,.*}

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/libgstpipewire.*

%files -n %{devname}
%{_libdir}/libpipewire-%{apiversion}.so
%{_includedir}/pipewire-%{apiversion}/
%{_includedir}/spa-%{spaversion}/
%{_libdir}/pkgconfig/libpipewire-%{apiversion}.pc
%{_libdir}/pkgconfig/libspa-%{spaversion}.pc

%files doc
%doc README.md NEWS
%{_datadir}/doc/pipewire/html

%files utils
%{_bindir}/pw-mon
%{_bindir}/pw-metadata
%{_bindir}/pw-dsdplay
%{_bindir}/pw-mididump
%{_bindir}/pw-midiplay
%{_bindir}/pw-midirecord
%{_bindir}/pw-cli
%{_bindir}/pw-dot
%{_bindir}/pw-cat
%{_bindir}/pw-config
%{_bindir}/pw-container
%{_bindir}/pw-dump
%{_bindir}/pw-encplay
%{_bindir}/pw-link
%{_bindir}/pw-loopback
%{_bindir}/pw-play
%{_bindir}/pw-profiler
%{_bindir}/pw-record
%{_bindir}/pw-reserve
%{_bindir}/pw-top
%{_mandir}/man1/pw-mon.1*
%{_mandir}/man1/pw-cli.1*
%{_mandir}/man1/pw-cat.1*
%{_mandir}/man1/pw-config.1*
%{_mandir}/man1/pw-container.1*
%{_mandir}/man1/pw-dot.1*
%{_mandir}/man1/pw-dump.1*
%{_mandir}/man1/pw-link.1*
%{_mandir}/man1/pw-loopback.1*
%{_mandir}/man1/pw-metadata.1*
%{_mandir}/man1/pw-mididump.1*
%{_mandir}/man1/pw-profiler.1*
%{_mandir}/man1/pw-reserve.1*
%{_mandir}/man1/pw-top.1*
%{_mandir}/man1/spa-acp-tool.1*
%{_mandir}/man1/spa-inspect.1*
%{_mandir}/man1/spa-json-dump.1*
%{_mandir}/man1/spa-monitor.1*
%{_mandir}/man1/spa-resample.1* 

%{_bindir}/spa-acp-tool
%{_bindir}/spa-inspect
%{_bindir}/spa-json-dump
%{_bindir}/spa-monitor
%{_bindir}/spa-resample

%if %{with alsa}
%files alsa
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so
%{_libdir}/alsa-lib/libasound_module_ctl_pipewire.so
%{_datadir}/alsa/alsa.conf.d/50-pipewire.conf
%{_datadir}/alsa/alsa.conf.d/99-pipewire-default.conf
%config(noreplace) %{_sysconfdir}/alsa/conf.d/50-pipewire.conf
%config(noreplace) %{_sysconfdir}/alsa/conf.d/99-pipewire-default.conf
%config %{_sysconfdir}/sound/profiles/pulse/alsa-default.conf
%endif

%if %{with jack}
%files jack-audio-connection-kit
%{_bindir}/pw-jack
%{_mandir}/man1/pw-jack.1*
%{_libdir}/pipewire-%{apiversion}/jack/libjack.so.*
%{_libdir}/pipewire-%{apiversion}/jack/libjacknet.so.*
%{_libdir}/pipewire-%{apiversion}/jack/libjackserver.so.*
%{_datadir}/pipewire/jack.conf
%{_sysconfdir}/ld.so.conf.d/pipewire-jack-%{_arch}.conf
%{_mandir}/man5/pipewire-jack.conf.5*

%files jack-audio-connection-kit-devel
%{_includedir}/jack/
%{_libdir}/pipewire-%{apiversion}/jack/libjack.so
%{_libdir}/pipewire-%{apiversion}/jack/libjacknet.so
%{_libdir}/pipewire-%{apiversion}/jack/libjackserver.so
%{_libdir}/pkgconfig/jack.pc
%{_libdir}/pkgconfig/jackserver.pc
%endif

%if %{with jackserver_plugin}
%files plugin-jack
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-jack-tunnel.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-jackdbus-detect.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-netjack2-driver.so
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-netjack2-manager.so
%{_libdir}/spa-%{spaversion}/jack/
%endif

%if %{with libcamera_plugin}
%files plugin-libcamera
%{_libdir}/spa-%{spaversion}/libcamera/
%endif

%if %{with vulkan}
%files plugin-vulkan
%{_bindir}/pipewire-vulkan
%{_datadir}/pipewire/pipewire-vulkan.conf
%{_libdir}/spa-%{spaversion}/vulkan/
%endif

%if %{with pulse}
%files pulseaudio
%{_bindir}/pipewire-pulse
%{_userunitdir}/pipewire-pulse.*
%{_datadir}/pipewire/pipewire-pulse.conf
%{_datadir}/pipewire/pipewire-pulse.conf.avail/20-upmix.conf
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-protocol-pulse.so
%{_mandir}/man1/pipewire-pulse.1*
%{_mandir}/man5/pipewire-pulse.conf.5*
%{_mandir}/man7/pipewire-pulse-module-*.7*
%{_mandir}/man7/pipewire-pulse-modules.7*
%endif

%if %{with v4l2}
%files v4l2
%{_bindir}/pw-v4l2
%{_libdir}/pipewire-%{apiversion}/v4l2/libpw-v4l2.so
%{_mandir}/man1/pw-v4l2.1*
%endif

%files module-x11
%{_libdir}/pipewire-%{apiversion}/libpipewire-module-x11-bell.so


%changelog
* Sat Feb 08 2025 daviddavid <daviddavid> 1.3.82-1.mga10
+ Revision: 2146167
- new version: 1.3.82

* Thu Feb 06 2025 daviddavid <daviddavid> 1.2.7-3.mga10
+ Revision: 2145789
- backport some libcamera patches

* Fri Jan 17 2025 daviddavid <daviddavid> 1.2.7-2.mga10
+ Revision: 2139546
- rebuild for new libcamera 0.4.0

* Tue Nov 26 2024 daviddavid <daviddavid> 1.2.7-1.mga10
+ Revision: 2118992
- new version: 1.2.7

* Wed Oct 23 2024 daviddavid <daviddavid> 1.2.6-1.mga10
+ Revision: 2110825
- new version: 1.2.6

* Thu Oct 03 2024 daviddavid <daviddavid> 1.2.5-2.mga10
+ Revision: 2102953
- rebuild for new libcamera 0.3.2

* Fri Sep 27 2024 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2101627
- new version: 1.2.5

* Sun Sep 22 2024 daviddavid <daviddavid> 1.2.4-1.mga10
+ Revision: 2100107
- new version: 1.2.4

* Thu Sep 05 2024 daviddavid <daviddavid> 1.2.3-1.mga10
+ Revision: 2093258
- new version: 1.2.3

* Sun Aug 18 2024 daviddavid <daviddavid> 1.2.2-1.mga10
+ Revision: 2086910
- new version: 1.2.2

* Fri Jul 12 2024 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2080803
- new version: 1.2.1

* Thu Jun 27 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2077338
- new version: 1.2.0

* Tue Jun 18 2024 daviddavid <daviddavid> 1.1.83-1.mga10
+ Revision: 2075010
- new version: 1.1.83

* Sat Jun 01 2024 daviddavid <daviddavid> 1.1.82-1.mga10
+ Revision: 2069129
- new version: 1.1.82 (1.2 RC2)

* Fri May 24 2024 daviddavid <daviddavid> 1.0.7-1.mga10
+ Revision: 2067425
- new version: 1.0.7

* Tue Apr 23 2024 daviddavid <daviddavid> 1.0.5-1.mga10
+ Revision: 2060721
- new version: 1.0.5

* Thu Mar 21 2024 daviddavid <daviddavid> 1.0.4-1.mga10
+ Revision: 2051059
- new version: 1.0.4
- enable bluez5-codec-lc3 support
- configure server, client and rlimit priorities to be the same as JACK

* Sun Feb 04 2024 wally <wally> 1.0.3-1.mga10
+ Revision: 2037072
- new version 1.0.3

* Thu Jan 25 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2034193
- new version: 1.0.1

* Thu Nov 30 2023 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2011517
- new version: 1.0.0
- move libpipewire-module-protocol-pulse.so from main pipewire pkg
  to pipewire-pulseaudio sub-pkg as it should

* Wed Nov 29 2023 daviddavid <daviddavid> 0.3.85-1.mga10
+ Revision: 2010993
- new version: 0.3.85

* Sun Nov 05 2023 daviddavid <daviddavid> 0.3.84-1.mga10
+ Revision: 2004574
- new version: 0.3.84

* Thu Oct 19 2023 daviddavid <daviddavid> 0.3.83-1.mga10
+ Revision: 1999340
- new version: 0.3.83

* Thu Oct 19 2023 daviddavid <daviddavid> 0.3.82-2.mga10
+ Revision: 1998921
- fix plugin-vulkan dependency

* Sat Oct 14 2023 ghibo <ghibo> 0.3.82-1.mga10
+ Revision: 1996388
- Add with_selinux cond flag (disabled by default)
- Update to release 0.3.82.
- Drop patches merged upstream.
- Update to release 0.3.80.
- Fix webrtc-audio-processing BRs.
- Add plugin-vulkan subpackage.
- Merge upstream patches.

* Tue Aug 29 2023 ghibo <ghibo> 0.3.79-1.mga10
+ Revision: 1980848
- Update to release 0.3.79.
- Merge patches from git upstream.
- Update to release 0.3.78.
- Drop patches merged upstream.
- Add libffado-devel to BR.
- Adjust files list.

* Wed May 31 2023 ghibo <ghibo> 0.3.71-1.mga9
+ Revision: 1960422
- Update to release 0.3.71.
- Merge Patch1 from upstream and sync with FC.
- Update files list.

* Fri Apr 21 2023 ghibo <ghibo> 0.3.70-1.mga9
+ Revision: 1953847
- Update to release 0.3.70.
- Fix files list.

* Sat Mar 11 2023 ghibo <ghibo> 0.3.67-1.mga9
+ Revision: 1948602
- update to release 0.3.67 (fix/reduce stuttering on bluetooth devices).
- add pw-encplay to files list for pipewire-utils.
- add support for git snapdate tarball as in FC.

* Wed Feb 22 2023 ghibo <ghibo> 0.3.66-1.mga9
+ Revision: 1944774
- Update to release 0.3.66 (bug-fixing release).
- Remove Patch1 merged upstream.
- Add libmysofa to BR and fix files list accordingly.

* Sat Jan 28 2023 daviddavid <daviddavid> 0.3.65-2.mga9
+ Revision: 1936698
- enable ldacBT dependency to enhance Bluetooth support
- add NEWS doc file

* Fri Jan 27 2023 daviddavid <daviddavid> 0.3.65-1.mga9
+ Revision: 1936483
- new version 0.3.65
- new module: combine-stream

* Fri Jan 27 2023 daviddavid <daviddavid> 0.3.63-4.mga9
+ Revision: 1936385
- Add pulseaudio-utils as Requires for pipewire-pulseaudio

* Fri Dec 23 2022 wally <wally> 0.3.63-3.mga9
+ Revision: 1926043
- rebuild for libcamera 0.0.3

* Fri Dec 16 2022 tv <tv> 0.3.63-2.mga9
+ Revision: 1923689
- Fix deps

* Fri Dec 16 2022 tv <tv> 0.3.63-1.mga9
+ Revision: 1923680
- Update version to 0.3.63

* Wed Dec 14 2022 tv <tv> 0.3.62-3.mga9
+ Revision: 1922211
- Add patch to fix distorted sound on AVX2 in some cases.
- Package X11 bell support separately like PA does (rhbz#2152385)

* Sat Dec 10 2022 tv <tv> 0.3.62-1.mga9
+ Revision: 1920462
- 0.3.62

* Sat Dec 10 2022 wally <wally> 0.3.61-5.mga9
+ Revision: 1920274
- make alsa pkg to conflict with alsa-plugins-pulse-config also having alsa-default.conf

* Mon Dec 05 2022 wally <wally> 0.3.61-4.mga9
+ Revision: 1918254
- fix broken system soundprofile default alsa config when pipewire-alsa is installed

* Mon Dec 05 2022 wally <wally> 0.3.61-3.mga9.tainted
+ Revision: 1918214
- move client.conf and client-rt.conf to main pkg (mga#31132)

* Mon Dec 05 2022 wally <wally> 0.3.61-2.mga9
+ Revision: 1918081
- rebuild for libcamera 0.0.2

* Fri Nov 25 2022 tv <tv> 0.3.61-1.mga9
+ Revision: 1911049
- Update version to 0.3.61

* Thu Nov 17 2022 tv <tv> 0.3.60-5.mga9.tainted
+ Revision: 1908499
- Avoid crashes when switching profiles
- Fix sound in qemu

* Tue Nov 15 2022 tv <tv> 0.3.60-3.mga9.tainted
+ Revision: 1907475
- Update version to 0.3.60
- Add patch to make Telegram playback work again
+ ghibo <ghibo>
- Revert to old webrtc-audio-processing BR
- Rebuild aginst webrtc-audio-processing1

* Wed Oct 26 2022 ghibo <ghibo> 0.3.59-2.mga9
+ Revision: 1899459
- Rebuild against fresh (mga9) libwebrtc-audio-processing

* Wed Oct 12 2022 tv <tv> 0.3.59-1.mga9
+ Revision: 1896541
- Update version to 0.3.59

* Mon Sep 26 2022 tv <tv> 0.3.58-3.mga9
+ Revision: 1892354
- Add patch to fix ffmpeg capture and other stutterings.
- Add patch to fix stuttering in Teamspeak.

* Mon Sep 26 2022 tv <tv> 0.3.58-2.mga9
+ Revision: 1892343
- Enable fdk-aac support

* Mon Sep 19 2022 tv <tv> 0.3.58-1.mga9.tainted
+ Revision: 1890140
- Update version to 0.3.58

* Fri Sep 02 2022 tv <tv> 0.3.57-1.mga9
+ Revision: 1883439
- Update version to 0.3.57
- Fix lv2 include path

* Sun Aug 07 2022 neoclust <neoclust> 0.3.56-1.mga9
+ Revision: 1875962
- New version 0.3.56

* Mon Jul 18 2022 tv <tv> 0.3.55-2.mga9.tainted
+ Revision: 1869305
- Update version to 0.3.55
- Add patch to avoid crash in JACK.

* Thu Jun 30 2022 tv <tv> 0.3.53-1.mga9
+ Revision: 1866786
- Update version to 0.3.53

* Wed Jun 29 2022 tv <tv> 0.3.52-4.mga9.tainted
+ Revision: 1866549
- Add patch to remove 44.1KHz from samplerates (rhbz#2096193)

* Tue Jun 21 2022 tv <tv> 0.3.52-2.mga9.tainted
+ Revision: 1865347
- Add patch to fix stuttering in TeamSpeak

* Thu Jun 09 2022 tv <tv> 0.3.52-0.1.mga9
+ Revision: 1863779
- 0.3.52

* Thu Apr 28 2022 tv <tv> 0.3.51-1.mga9.tainted
+ Revision: 1854860
- Update version to 0.3.51

* Wed Apr 13 2022 tv <tv> 0.3.50-1.mga9
+ Revision: 1849274
- Update version to 0.3.50

* Wed Mar 30 2022 tv <tv> 0.3.49-6.mga9.tainted
+ Revision: 1835188
- Update version to 0.3.49

* Sat Mar 19 2022 tv <tv> 0.3.48-6.mga9
+ Revision: 1799926
- Conflicts rather than Obsoletes pulseaudio for coexistance in media
- Make pipewire-alsa provides alsa-plugins-pulseaudio it obsoletes for installation deps sake

* Wed Mar 16 2022 tv <tv> 0.3.48-5.mga9
+ Revision: 1794605
- Bump obsoletes alsa-plugins-pulseaudio

* Sat Mar 12 2022 tv <tv> 0.3.48-4.mga9
+ Revision: 1790626
- Update pulseaudio obsoletes

* Wed Mar 09 2022 tv <tv> 0.3.48-3.mga9
+ Revision: 1790085
- Enable to replace pulseaudio

* Wed Mar 09 2022 tv <tv> 0.3.48-2.mga9
+ Revision: 1789987
- Add some more Provides: for pulseaudio
- jack-audio-connection-kit really replaced libjack subpkg
- Fix libcamera deps

* Sat Mar 05 2022 tv <tv> 0.3.48-1.mga9
+ Revision: 1788852
- Update version to 0.3.48

* Mon Feb 28 2022 tv <tv> 0.3.47-1.mga9.tainted
+ Revision: 1786640
- Update version to 0.3.47
- Add patch for kernels with CONFIG_SND_VERBOSE_PROCFS=n
- Add patch to make Musescore work again

* Fri Feb 04 2022 tv <tv> 0.3.45-1.mga9.tainted
+ Revision: 1771397
- Update version to 0.3.45

* Thu Jan 27 2022 tv <tv> 0.3.44-1.mga9
+ Revision: 1769962
- Update version to 0.3.44

* Wed Jan 19 2022 tv <tv> 0.3.43-3.mga9
+ Revision: 1769020
- Add patch to avoid segfault in bluez5 (rhbz#2041481)

* Fri Jan 07 2022 tv <tv> 0.3.43-1.mga9
+ Revision: 1767221
- Update version to 0.3.43

* Tue Dec 21 2021 tv <tv> 0.3.42-2.mga9
+ Revision: 1763100
- Enable libcamera & jack support

* Fri Dec 17 2021 tv <tv> 0.3.42-1.mga9
+ Revision: 1762300
- Update version to 0.3.42

* Tue Dec 14 2021 tv <tv> 0.3.41-1.mga9
+ Revision: 1762135
- Update version to 0.3.41

* Fri Nov 12 2021 tv <tv> 0.3.40-1.mga9
+ Revision: 1755893
- Update version to 0.3.40 and media-session 0.4.1

* Wed Nov 10 2021 tv <tv> 0.3.39-3.mga9.tainted
+ Revision: 1755613
- Don't build media-session on mga9, it's a separate package now

* Wed Nov 03 2021 tv <tv> 0.3.39-2.mga9
+ Revision: 1753847
- Fox deps

* Fri Oct 29 2021 tv <tv> 0.3.39-1.mga9
+ Revision: 1753240
- Update version to 0.3.39

* Sat Aug 28 2021 tv <tv> 0.3.34-1.mga9.tainted
+ Revision: 1743300
- Update to 0.3.34

* Tue Aug 24 2021 ngompa <ngompa> 0.3.33-4.mga9
+ Revision: 1742452
- Add back 'pulseaudio-daemon' virtual Provides + use autosetup to apply patches

* Fri Aug 20 2021 tv <tv> 0.3.33-3.mga9.tainted
+ Revision: 1742008
- Add upstream fixes (including default device persistence)
- Add media-session Conflicts: with older pipewire versions, they can't be
  installed at the same time because they both contain the media-session binary.

* Fri Aug 06 2021 luigiwalser <luigiwalser> 0.3.33-1.mga9
+ Revision: 1739952
- 0.3.33

* Thu Jul 22 2021 tv <tv> 0.3.32-1.mga9
+ Revision: 1737410
- Update to 0.3.32
- Enable media-session.service
- Add "Conflicts: pipewire-session-manager" to pipewire-media-session
  to enforce one implementation of the session manager at a time
- Fix session manager path

* Tue Jun 29 2021 tv <tv> 0.3.31-1.mga9.tainted
+ Revision: 1734323
- Split media-session into a subpackage and Require it through a virtual
  Provides from the main pipewire package
- Update to 0.3.31
- pipewire-pulse: set description
  Some applications like TeamSpeak crash when this isn't set.

* Sun Jun 13 2021 tv <tv> 0.3.30-1.mga9
+ Revision: 1730552
- Update to 0.3.30
- Add ALSA UCM 1.2.5 compatibility fixes

* Wed May 26 2021 tv <tv> 0.3.28-1.mga9
+ Revision: 1728470
- Disable fdk-aac support in core (though it's free software in other distros)

* Wed May 26 2021 tv <tv> 0.3.28-1.mga9.tainted
+ Revision: 1728469
- Update to 0.3.28
- Add jack-devel subpackage
- Obsolete useless libjack subpackage with jack-audio-connection-kit subpackage
- Update to 0.3.25
- Apply some critical upstream patches
- Move individual config files to the subpackages that make use of them
- Update to 0.3.24
- Add patch to enable UCM Microphones

* Thu Mar 04 2021 tv <tv> 0.3.23-1.mga9
+ Revision: 1698076
- Update to 0.3.23

* Sun Feb 28 2021 tv <tv> 0.3.22-1.mga9
+ Revision: 1693227
- 0.3.22
- Add some upstream patches
- disable sdl2 examples
- 0.3.21
- Add some upstream patches
- 0.3.20

* Sun Jan 10 2021 tmb <tmb> 0.3.19-1.mga8
+ Revision: 1670258
- update to 0.3.19
+ neoclust <neoclust>
- Fix pipewire home path
+ tv <tv>
- 0.3.17

* Fri Nov 20 2020 tv <tv> 0.3.16-3.mga8
+ Revision: 1647898
- Update to 0.3.16
- Add patch to fix crash in kwin (rhbz#1899826)
- add systemd calls in %%post

* Wed Nov 11 2020 tv <tv> 0.3.15-3.mga8
+ Revision: 1644453
- fix deps

* Wed Nov 04 2020 tv <tv> 0.3.15-2.mga8
+ Revision: 1642638
- Add patch to fix screen sharing for old clients

* Wed Nov 04 2020 tv <tv> 0.3.15-1.mga8
+ Revision: 1642589
- Update to 0.3.15

* Mon Nov 02 2020 tv <tv> 0.3.14-2.mga8
+ Revision: 1641601
- Add some pulse server patches

* Fri Oct 30 2020 tv <tv> 0.3.14-1.mga8
+ Revision: 1640707
- Update to 0.3.14
- Fix jack and pulseaudio subpackages to generate dependencies properly

* Wed Oct 14 2020 tv <tv> 0.3.13-4.mga8
+ Revision: 1635951
- Disable device provider for now (rhbz#1884260)

* Thu Oct 01 2020 tv <tv> 0.3.13-3.mga8
+ Revision: 1631442
- Add patches for some crasher bugs (rhbz#1884177)

* Tue Sep 29 2020 tv <tv> 0.3.13-2.mga8
+ Revision: 1631142
- explicitely require the library with the same version
- Add patch to improve pulse compatibility

* Mon Sep 28 2020 tv <tv> 0.3.13-1.mga8
+ Revision: 1630963
- Update to 0.3.13

* Fri Sep 18 2020 tv <tv> 0.3.12-1.mga8
+ Revision: 1628632
- Update to 0.3.12

* Sat Sep 12 2020 tv <tv> 0.3.11-2.mga8
+ Revision: 1625004
- Add some patches to improve pulse compatibility

* Thu Sep 10 2020 tv <tv> 0.3.11-1.mga8
+ Revision: 1624194
- 0.3.11

* Tue Aug 18 2020 tv <tv> 0.3.10-1.mga8
+ Revision: 1615062
- 0.3.10

* Sun Aug 09 2020 tv <tv> 0.3.9-1.mga8
+ Revision: 1612174
- 0.3.9

* Sat Aug 01 2020 tv <tv> 0.3.8-1.mga8
+ Revision: 1610195
- Update to 0.3.8
- Add patch for fix chrome audio hicups
- Add patch for infinite loop in device add/remove

* Wed Jul 22 2020 tv <tv> 0.3.7-2.mga8
+ Revision: 1607797
- Add patch to avoid crash when clearing metadata

* Tue Jul 21 2020 tv <tv> 0.3.7-1.mga8
+ Revision: 1607653
- 0.3.7

* Thu Jun 25 2020 tv <tv> 0.3.6-3.mga8
+ Revision: 1599210
- fix jack subpkg deps

* Thu Jun 11 2020 tv <tv> 0.3.6-2.mga8
+ Revision: 1592284
- really enable jack/pulse/vulkan

* Thu Jun 11 2020 tv <tv> 0.3.6-1.mga8
+ Revision: 1592275
- Add new man pages
- Only build vulkan/pulse/jack in Fedora.
- Update to 0.3.6
- Suppress library provides from pipewire-lib{pulse,jack}
- Add 2 more packages that replace libjack and libpulse
- Add patch to unsubscribe unused sequencer ports
- Add config to disable bluez5 handling by default

* Sat Apr 04 2020 tv <tv> 0.3.2-1.mga8
+ Revision: 1564343
- Update to 0.3.2
- Add config to disable alsa and bluez5 handling by default.
- Add patch to unsubscribe unused sequencer ports
- Change config to only disable bluez5 handling by default.

* Tue Mar 17 2020 tv <tv> 0.3.1-1.mga8
+ Revision: 1557273
- 0.3.1

* Sun Mar 01 2020 daviddavid <daviddavid> 0.3.0-2.mga8
+ Revision: 1552633
- fix dependencies

* Sun Mar 01 2020 tv <tv> 0.3.0-1.mga8
+ Revision: 1552561
- new major version

* Sun Feb 16 2020 umeabot <umeabot> 0.2.7-2.mga8
+ Revision: 1536361
- Mageia 8 Mass Rebuild

* Thu Oct 17 2019 daviddavid <daviddavid> 0.2.7-1.mga8
+ Revision: 1454270
- new version: 0.2.7

* Sat Jun 15 2019 ngompa <ngompa> 0.2.6-1.mga7
+ Revision: 1400030
- Update to 0.2.6

* Thu Apr 18 2019 umeabot <umeabot> 0.2.5-3.mga7
+ Revision: 1392862
- Rebuild with meson 0.50.1

* Thu Mar 14 2019 daviddavid <daviddavid> 0.2.5-2.mga7
+ Revision: 1376259
- add upstream patch to avoid invalid conversion error with C++ compilers

* Fri Mar 08 2019 daviddavid <daviddavid> 0.2.5-1.mga7
+ Revision: 1372905
- new version: 0.2.5

* Fri Nov 23 2018 tv <tv> 0.2.4-1.mga7
+ Revision: 1333462
- fix filelist
- new release

* Mon Sep 17 2018 daviddavid <daviddavid> 0.2.3-2.mga7
+ Revision: 1259380
- split out the GStreamer 1.0 plugin in a separate sub-pkg
- enable libva, libavcodec and sdl2 support
- doc sub-pkg should be noarch
- add some missing Group
- use a named-versioned github tarball
- add some missing provides on devel sub-pkg

* Mon Sep 17 2018 tv <tv> 0.2.3-1.mga7
+ Revision: 1259375
- new release
- libify
+ ngompa <ngompa>
- imported package pipewire


* Tue Jul 31 2018 Wim Taymans <wtaymans@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Fri Jul 20 2018 Wim Taymans <wtaymans@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue Jul 17 2018 Wim Taymans <wtaymans@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 27 2018 Wim Taymans <wtaymans@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-2
- Switch to %%ldconfig_scriptlets

* Tue Jan 23 2018 Wim Taymans <wtaymans@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Fri Nov 24 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.7-1
- Update to 0.1.7
- Add to build when memfd_create is already defined

* Fri Nov 03 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.6-1
- Update to 0.1.6

* Tue Sep 19 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.5-2
- Add patch to avoid segfault when probing

* Tue Sep 19 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 0.1.4-3
- Rebuilt for GNOME 3.26.0 megaupdate

* Fri Sep 08 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.4-2
- Install SPA hooks

* Wed Aug 23 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Wed Aug 09 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.3-1
- Update to 0.1.3

* Tue Jul 04 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.2-1
- Update to 0.1.2
- Added more build requirements
- Make separate doc package

* Mon Jun 26 2017 Wim Taymans <wtaymans@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Add dbus-1 to BuildRequires
- change libs-devel to -devel

* Wed Sep 9 2015 Wim Taymans <wtaymans@redhat.com> - 0.1.0-2
- Fix BuildRequires to use pkgconfig, add all dependencies found in configure.ac
- Add user and groups  if needed
- Add license to %%licence

* Tue Sep 1 2015 Wim Taymans <wtaymans@redhat.com> - 0.1.0-1
- First version
